.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 800;
    position: absolute;
    background: transparent;
    transition: .3s;

    &--fixed {
        position: fixed;
        background: $white;

        .header {

            &__logo {
                fill: $dark;
            }
        }

        .hamburger {

            span,
            &:after,
            &:before {
                background: $dark;
            }
        }
    }

    &__body {
        height: rem(70);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        fill: $white;
        display: block;
        width: rem(40);
        flex-shrink: 0;
    }

    &__content {
        z-index: 700;
        position: relative;
        margin-left: rem(16);
        padding-left: rem(16);
        display: flex;
        align-items: center;

        &:before {
            left: 0;
            top: calc(50% - 12px);
            content: '';
            width: 1px;
            height: 24px;
            display: block;
            position: absolute;
            background: rgba(255,255,255,0.2);
        }
    }

    &__mmco {
        width: rem(40);
        display: block;
    }

    &__hamburger {
        right: 0;
        top: calc(50% - 12px);
        font-size: 0;
        line-height: 0;
        position: absolute;
    }

    &__lng {
        margin-right: rem(36);
    }

    &__group {
        display: flex;
        align-items: center;
    }

    &--black {

        .header {

            &__logo {
                fill: $dark;
            }
        }

        .hamburger {

            span,
            &:after,
            &:before {
                background-color: $dark;
            }
        }
    }

    &--dark {
   //     background: #242425;

        &.header--fixed {
            background: #242425;
        }
    }

    &--white {
        background: $white;
    }

    @include media-breakpoint-up(xl) {

        &__body {
            height: rem(100);
            justify-content: space-between;
        }

        .container {
            max-width: rem(1440);
        }

        &__logo {
            width: rem(40);
        }

        &__hamburger {
            display: none;
        }

        &__content {
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: row-reverse;

            &:before {
                display: none;
            }
        }

        &__lng {
            margin-right: 0;
            margin-left: rem(30);
        }

        &--black {

            .header-nav {

                &__link {
                    color: $dark;

                    &:hover {
                        color: $dark;
                    }
                }
            }
        }


        &--fixed {

            .header-nav {

                &__link {
                    color: $dark;

                    &:hover {
                        color: $dark;
                    }
                }
            }

            .btn-blur {
                background: $blue;
            }

            .btn-white {
                color: $dark;
                background: #EDF1F5;
            }
        }

        &--blur {
      //      background: rgba(255,255,255,0.1);
            backdrop-filter: blur(16px);
        }
    }

    @media (min-width: 1600px) {

        .container {
            padding-right: rem(48);
            padding-left: rem(48);
        }

        &__mmco {
            width: rem(48);
            height: rem(48);
        }
    }
}

.header-sticky {
    left: 0;
    top: 0;
    position: absolute;
}

.lng {
    z-index: 600;
    position: relative;

    &__button {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        height: rem(36);
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(20);
        background: transparent;
        text-transform: uppercase;
        color: $white;
        stroke: $white;
        display: flex;
        align-items: center;

        span {
            top: rem(2);
            position: relative;
            margin-right: rem(2);
            display: inline-block;
        }

        i {
            height: rem(16);
            display: inline-block;
            flex-shrink: 0;
        }
    }

    &__dropdown {
        color: $white;
        min-width: 100%;
        font-size: rem(14);
        line-height: rem(20);
        background: $light-blue;
    }

    &__link {
        color: $white;
        display: block;
        padding: rem(6) rem(8) rem(4) rem(8);
        text-decoration: none;
        text-transform: uppercase;
    }
}

.hamburger {
    margin: 0;
    padding: 0;
    width: 24px;
    height: 24px;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    display: block;
    cursor: pointer;
    position: relative;
    background: transparent;

    span,
    &:after,
    &:before {
        width: 24px;
        height: 2px;
        content: '';
        top: calc(50% - 1px);
        left: calc(50% - 12px);
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        background-color: $white;
    }

    span {

    }

    &:after {
        transform: translateY(-7px);
    }

    &:before {
        transform: translateY(7px);
    }

    &.hamburger--open {

    }
}

.header-nav {
    left: 0;
    right: 0;
    bottom: 0;
    color: $white;
    top: rem(70);
    z-index: 500;
    position: fixed;
    overflow-y: auto;
    padding: rem(25);
    text-align: center;
    background: $blue;
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    &__title {
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(30);
        margin-bottom: rem(16);
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
        font-weight: 500;
        font-size: rem(18);
        line-height: rem(26);
    }

    &__link {
        color: $white;
        padding: rem(8);
        white-space: nowrap;
        text-decoration: none;
        display: inline-block;

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    &__buttons {
        padding-top: rem(12);
    }

    &__button {
        margin-bottom: rem(8);
    }

    @include media-breakpoint-up(sm) {

        &__buttons {
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &__button {
            margin: 0 rem(4);
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    @include media-breakpoint-up(xl) {
        top: auto;
        opacity: 1;
        left: auto;
        right: auto;
        bottom: auto;
        overflow: visible;
        padding: 0 0 0 rem(54);
        visibility: visible;
        display: block;
        position: relative;
        background: transparent;
        flex-grow: 1;

        &__wrap {
            flex-grow: 1;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__title {
            display: none;
        }

        &__menu {
            font-size: rem(16);
            line-height: rem(24);
            display: flex;
            align-items: center;
        }

        &__buttons {
            padding-top: 0;
            margin-left: rem(52);
            display: flex;
        }

        &__item {
            padding: 0 rem(12);
        }

        &__link {
            padding: 0;
            color: $white;
            text-decoration: none;

            &:hover {
                color: $white;
                text-decoration: underline;
            }
        }
    }

}

.fixed-buttons {
    z-index: 400;
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    padding: rem(20);
    display: flex;
    align-items: center;
    justify-content: center;
    backdrop-filter: blur(4px);

    &__item {
        margin: 0 rem(4);
    }

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.nav-open {
    overflow: hidden;

    .header {
        background-color: $blue;

        &--black {

            .header__logo {
                fill: $white;
            }

            .hamburger {

                span,
                &:after,
                &:before {
                    background-color: $white;
                }
            }
        }

        &--fixed {

            .header {

                &__logo {
                    fill: $white;
                }
            }


            .hamburger {

                span,
                &:after,
                &:before {
                    background: $white;
                }
            }
        }
    }

    .header-nav {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    .hamburger {

        span {
            opacity: 0;
        }

        &:after {
            transform: translateY(0) rotate(45deg);
        }

        &:before {
            transform: translateY(0) rotate(-45deg);
        }
    }

    @include media-breakpoint-up(xl) {

        .header {
            background-color: transparent;

            &--black {

                .header__logo {
                    fill: $dark;
                }
            }
        }
    }
}



@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
